package com.red.circle.other.infra.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * BD 政策类型枚举.
 *
 * @author AI Assistant
 * @since 2025-10-29
 */
@Getter
@AllArgsConstructor
public enum BdPolicyType {

    /**
     * 团队工资政策.
     */
    TEAM_SALARY("团队工资政策"),

    /**
     * 团队充值政策.
     */
    TEAM_RECHARGE("团队充值政策");

    /**
     * 描述.
     */
    private final String description;

    /**
     * 判断是否为团队工资政策.
     */
    public boolean isTeamSalary() {
        return this == TEAM_SALARY;
    }

    /**
     * 判断是否为团队充值政策.
     */
    public boolean isTeamRecharge() {
        return this == TEAM_RECHARGE;
    }
}
